diff -urN orig/dhcp6-1.0/client/Makefile dhcp6-1.0/client/Makefile
--- orig/dhcp6-1.0/client/Makefile	2025-06-28 23:21:40.000000000 +0200
+++ dhcp6-1.0/client/Makefile	2005-12-13 13:43:11.000000000 +0100
@@ -3,40 +3,40 @@
 STD_HEADERS = stdhead.h head.h struct.h options_type.h message_type.h states.h timer_val.h constants.h macros.h status_codes.h
 OBJECT_FILES = client.o solicit.o clilib.o parse.o request.o decline.o renew.o rebind.o release.o
 HEADER_FILES = solicit.h clilib.h parse.h request.h decline.h renew.h rebind.h release.h
-
+CFLAGS = -g3
 
 dhcpv6_client : dhcpv6_client.c cli
-	$(CC) -g3 dhcpv6_client.c -o dhcpv6_client
+	$(CC) $(CFLAGS) $(LDFLAGS) dhcpv6_client.c -o dhcpv6_client
 
 cli : $(OBJECT_FILES)
-	$(CC) -g3 $(OBJECT_FILES) -o cli -lncurses
+	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECT_FILES) -o cli -lncurses
 
 client.o : client.c $(STD_HEADERS) $(HEADER_FILES)
-	$(CC) -g3 -c client.c -o client.o
+	$(CC) $(CFLAGS) -c client.c -o client.o
 
 release.o : release.c release.h clilib.h
-	$(CC) -g3 -c release.c -o release.o
+	$(CC) $(CFLAGS) -c release.c -o release.o
 
 rebind.o : rebind.c rebind.h clilib.h
-	$(CC) -g3 -c rebind.c -o rebind.o
+	$(CC)  $(CFLAGS) -c rebind.c -o rebind.o
 
 renew.o : renew.c renew.h clilib.h
-	$(CC) -g3 -c renew.c -o renew.o
+	$(CC) $(CFLAGS) -c renew.c -o renew.o
 
 request.o : request.c request.h clilib.h
-	$(CC) -g3 -c request.c -o request.o
+	$(CC) $(CFLAGS) -c request.c -o request.o
 
 decline.o : decline.c decline.h clilib.h parse.h solicit.h
-	$(CC) -g3 -c decline.c -o decline.o
+	$(CC) $(CFLAGS) -c decline.c -o decline.o
 
 solicit.o : solicit.c solicit.h clilib.h parse.h
-	$(CC) -g3 -c solicit.c -o solicit.o
+	$(CC) $(CFLAGS) -c solicit.c -o solicit.o
 
 clilib.o : clilib.c clilib.h parse.h
-	$(CC) -g3 -c clilib.c -o clilib.o
+	$(CC) $(CFLAGS) -c clilib.c -o clilib.o
 
 parse.o : parse.c parse.h clilib.h
-	$(CC) -g3 -c parse.c -o parse.o
+	$(CC) $(CFLAGS) -c parse.c -o parse.o
 
 clean :
 	rm -f *.o cli dhcpv6_client
--- orig/dhcp6-1.0/server/Makefile	2002-06-28 14:50:04.000000000 +0200
+++ dhcp6-1.0/server/Makefile	2005-12-13 11:35:53.000000000 +0100
@@ -1,27 +1,28 @@
 CC = gcc
 STD_HEADERS = stdhead.h head.h struct.h options_type.h message_type.h macros.h status_codes.h constants.h
 OBJECT_FILES = server.o lib.o advertise.o parse.o leases.o reply.o
+CFLAGS = -g3
 
 serv: $(OBJECT_FILES)
-	$(CC) -g3 $(OBJECT_FILES) -o serv
+	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECT_FILES) -o serv
 
 lib.o: lib.c lib.h $(STD_HEADERS)
-	$(CC) -g3 -c lib.c -o lib.o
+	$(CC) $(CFLAGS) -c lib.c -o lib.o
 
 parse.o: parse.c parse.h $(STD_HEADERS)
-	$(CC) -g3 -c parse.c -o parse.o
+	$(CC) $(CFLAGS) -c parse.c -o parse.o
 
 leases.o: leases.c leases.h $(STD_HEADERS)
-	$(CC) -g3 -c leases.c -o leases.o
+	$(CC) $(CFLAGS) -c leases.c -o leases.o
 
 advertise.o: advertise.c advertise.h $(STD_HEADERS)
-	$(CC) -g3 -c advertise.c -o advertise.o
+	$(CC) $(CFLAGS) -c advertise.c -o advertise.o
 
 reply.o: reply.c reply.h $(STD_HEADERS)
-	$(CC) -g3 -c reply.c -o reply.o
+	$(CC) $(CFLAGS) -c reply.c -o reply.o
 
 server.o: server.c lib.h advertise.h reply.h leases.h parse.h $(STD_HEADERS)
-	$(CC) -g3 -c server.c -o server.o
+	$(CC) $(CFLAGS) -c server.c -o server.o
 
 clean: 
 	rm -f *.o serv
